## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           blueprint-compiler
Version:        0.18.0
Release:        %autorelease
Summary:        A markup language for GTK user interfaces

%global tarball_version %%(echo %{version} | tr '~' '.')

License:        LGPL-3.0-or-later
URL:            https://gitlab.gnome.org/GNOME/blueprint-compiler
Source0:        https://download.gnome.org/sources/%{name}/0.18/%{name}-%{tarball_version}.tar.xz

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  gtk4-devel
BuildRequires:  libadwaita-devel
BuildRequires:  python3-devel
BuildRequires:  python3-gobject-devel

Requires:       python3-gobject-devel

%description
GtkBuilder XML format is quite verbose, and many app developers don't like
using WYSIWYG editors for creating UIs. Blueprint files are intended to be a
concise, easy-to-read format that makes it easier to create and edit GTK UIs.
Internally, it compiles to GtkBuilder XML as part of an app's build system. It
adds no new features, just makes the features that exist more accessible.
Another goal is to have excellent developer tooling--including a language
server--so that less knowledge of the format is required. Hopefully this will
increase adoption of cool advanced features like GtkExpression.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install


# Tests fail in mock, but pass otherwise. For some reason, no log is available
# to debug the issue when it fails.
#check
#meson_test


%files
%license COPYING
%doc README.md docs/*.rst
%{_bindir}/%{name}
%{python3_sitelib}/blueprintcompiler
%{_datadir}/pkgconfig/%{name}.pc


%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jul 08 2025 Barry Dunn <badunn@redhat.com> - 0.18.0-1
- Update to 0.18.0

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.16.0-2
- Rebuilt for Python 3.14

* Wed Mar 12 2025 Lyes Saadi <dev@lyes.eu> - 0.16.0-1
- Updating to 0.16.0

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Lyes Saadi <dev@lyes.eu> - 0.12.0-1
- Upgrading to 0.12.0 and s390x builds ! (fixes #2270844)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.10.0-4
- Rebuilt for Python 3.13

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 14 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.10.0-1
- Updating to 0.10.0 (rhbz#2148671, rhbz#2169892)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.6.0-3
- Rebuilt for Python 3.12

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 27 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.6.0-1
- Updating to 0.6.0

* Tue Sep 13 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.4.0-1
- Updating to 0.4.0

* Mon Aug 22 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.2.0-1
- Initial import
## END: Generated by rpmautospec
